import sdpm
import math
from matplotlib import pyplot as plt

def main():
    
    alpha = 2.*math.pi/180

    nPanels = 2
    airspeed = 50
    maxIt = 10
     
    wing = sdpm.Panels(nPanels)
    wing.CreateWing()

    solver = sdpm.SDSolver(wing, alpha, airspeed, maxIt)
    print('Computation started (pyCheck)')

    solver.Run()

    plt.plot(solver.CL)
    plt.show()

    print('Computation ended (pyCheck)')

if __name__ == "__main__":
    main()