#ifndef WINVBND_H
#define WINVBND_H

#include "vii.h"
#include <vector>
#include <iostream>

namespace vii
{

class DART_API InvBnd
{
  private:
    std::vector<double> Me,
                        Vt,
                        Rhoe,
                        DeltaStar,
                        VtOld;
  
  public:
    
    //std::vector<double> BlowingVel;

    InvBnd();
    ~InvBnd();
    
    double GetMe(size_t iPoint) const {return Me[iPoint];};
    double GetVt(size_t iPoint) const {return Vt[iPoint];};
    double GetRhoe(size_t iPoint) const {return Rhoe[iPoint];};
    double GetDeltaStar(size_t iPoint) const {return DeltaStar[iPoint];};
    double GetVtOld(size_t iPoint) const {return VtOld[iPoint];};

    void SetMe(std::vector<double> _Me) {Me.resize(_Me.size(), 0.); Me = _Me;};
    void SetVt(std::vector<double> _Vt) {Vt.resize(_Vt.size(), 0.); Vt = _Vt;};
    void SetRhoe(std::vector<double> _Rhoe) {Rhoe.resize(_Rhoe.size(), 0.); Rhoe = _Rhoe;};
    void SetDeltaStar(std::vector<double> _DeltaStar) {DeltaStar.resize(_DeltaStar.size(), 0.); DeltaStar = _DeltaStar;};
    void SetVtOld(std::vector<double> _VtOld) {VtOld.resize(_VtOld.size(), 0.); VtOld = _VtOld;};

    double GetMaxMach() const;

};
} // namespace vii
#endif //WINVBND_H